#include "audiomasterwidget.h"

AudioMasterWidget::AudioMasterWidget(QWidget *parent) :
    QGroupBox(parent)
  , m_receiveDMX(new QCheckBox)
  , m_watchDMX(new QTimer)
{
    QVBoxLayout *vbox = new QVBoxLayout;
    m_receiveDMX->setText("DMX signal");
    vbox->addWidget(m_receiveDMX);
    this->setLayout(vbox);
    connect(m_watchDMX, SIGNAL(timeout()),
              this, SLOT(watchDMXExpired()));
    m_watchDMX->start(1000);
}

AudioMasterWidget::~AudioMasterWidget()
{

}

void AudioMasterWidget::watchDMXExpired() {
    m_receiveDMX->setChecked(false);
}

void AudioMasterWidget::updateWatchDMX()
{
    m_receiveDMX->setChecked(true);
}
