#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QObject>
#include <QWidget>
#include <QVBoxLayout>
#include <QDialog>

#include "audiomasterwidget.h"
#include "audiolayerwidget.h"
#include "settings.h"
#include "miniaudioengine.h"
#include "defines.h"


class AudioWidget : public QWidget
{
    friend class libreMediaServerAudio;

    Q_OBJECT

public:
    AudioWidget();
    bool startEngine();
    bool startEngine(int id);
    void stopEngine();

protected:
    void mediaLoaded(int layer, QString media );
    void volChanged(int layer, qreal vol);
    void panChanged(int layer, qreal pan);
    void pitchChanged(int layer, qreal pitch);
    void playbackChanged(int layer, Status status);

private:
    MiniAudioEngine m_mae;
    QString m_currentMedia[MAX_LAYERS];
    QHBoxLayout *m_layout;
    QTimer *m_refreshUi;

private slots:
    void refreshUi();
};

#endif // AUDIOWIDGET_H
