#ifndef DMXPERSONALITY_H
#define DMXPERSONALITY_H

/** Define the DMX personality to avoid dealing with
 * numbers and change it easyly in case
 *
1 - Volumen Coarse
2 - Pan
3 - Folder
4 - File
5 - Playback
    0-24 : Play once.
    25-49: Stop. Returns to start of file.
    50-74: Pause. It keeps the time of reproductions.
    75-99: Play loop.
6 - Control - Reservado, sin uso en este momento.
7 - Volume Fine
8 - Entry Point Coarse - Punto de entrada de reproducción.
9 - Entry Point Fine - El valor de estos dos canales en centésimas de segundo.
10 - Pan
11 - Pitch
*/

// ToDo: Tiene bastante sentido cambiar estos defines por un enum
// ¿Ganaría algo en eficiencia? En claridad del código sí.

#define VOLUME_COARSE 0
#define PAN 1
#define DMX_FOLDER 2
#define DMX_FILE 3
#define PLAYBACK 4
#define CONTROL 5
#define VOLUME_FINE 6
#define ENTRY_POINT_COARSE 7
#define ENTRY_POINT_FINE 8
#define PITCH 9

#define LAYER_CHANNELS 10

#endif // DMXPERSONALITY_H
